DDoS Mitigation

Get Traffic Stats

post/ddos-mitigation/traffic-capture/stats

Get aggregated traffic statistics (dropped vs passed) over time.

Returns data grouped into time buckets, suitable for charts.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Request body

Filters for traffic stats query.

application/jsonRequired
start_time*string
Formatdate-time
end_time*string
Formatdate-time
destination_ips?array<string>

IPs to include (must belong to your organization). Leave empty to include all your IPs

interval?string

Aggregation interval: 10s, 30s, 1m, 5m, 15m, 1h

Default"1m"

Responses

Successful Response

application/json

start_time*string
end_time*string
interval*string
total_pass*integer
total_drop*integer
total_packets?integer | null
dropped_packets*integer
edge_available*boolean
buckets*array<TrafficStatsBucket>
Properties (17)
timestamp*string
pass_count*integer
drop_count*integer
pass_bytes*integer
drop_bytes*integer
pass_pps*number
drop_pps*number
pass_bps*number
drop_bps*number
total_count?integer | null
total_bytes?integer | null
total_pps?number | null
total_bps?number | null
dropped_count*integer
dropped_bytes*integer
dropped_pps*number
dropped_bps*number